package com.tuoheng.admin.service.road;

import com.tuoheng.admin.entity.RoadInformation;
import com.tuoheng.admin.query.RoadInformationQuery;
import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;


/**
 * @Author ChengWang
 * @Date 2022/11/16
 */
public interface RoadInformationService extends IBaseService<RoadInformation> {
    JsonResult queryPage(RoadInformationQuery query);

    JsonResult getListInfo(RoadInformationQuery query);

    JsonResult getListByDeptId(String deptId);

    JsonResult editInfo(RoadInformation entity);

    JsonResult getListByUserType();

    JsonResult getListByTenantId();


//    JsonResult deleteRoadByIds(String[] ids);
}
